commit b7e75ca2ccd8733496e0e891e84dc3856840813d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Apr 3 12:20:15 2022 -0700

    mkfontscale 1.2.2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 2ee95eca936971e841a135ecc4f4a25875232fa2
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Dec 3 16:17:48 2021 -0800

    Build xz tarballs instead of bzip2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f49cc4f618ce520fdb6c43d5434ff376d6324356
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Dec 3 16:17:39 2021 -0800

    gitlab CI: add a basic build test
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b88c27bc45d0db78a6591bb92635915b3d5903b8
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Nov 28 15:52:37 2021 -0800

    Fix spelling/wording issues
    
    Found by using:
        codespell --builtin clear,rare,usage,informal,code,names
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f9c76b4dee38619ccf4004f05f609a5e00806771
Author: Maya Rashish <maya@NetBSD.org>
Date:   Sun Oct 27 20:07:16 2019 +0200

    Add "ExtraBold" as a valid T1 font weight.
    
    Used by freefonts.
    
    Signed-off-by: Maya Rashish <maya@NetBSD.org>

commit 73a6d0e02eece1e51bfaed9638f1929404d2c66a
Author: Maya Rashish <maya@NetBSD.org>
Date:   Sun Oct 27 20:04:27 2019 +0200

    Use case insensitive comparison for T1 font weight
    
    Signed-off-by: Maya Rashish <maya@NetBSD.org>

commit 79f686765238ddd0e4753f9d4ee62b5a5296610e
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Mar 20 20:58:15 2019 -0700

    mkfontscale 1.2.1
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 29cab25240cf30f546671f265167a2eeadfd4c75
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Mar 7 13:23:00 2019 -0800

    Revert "Use autoconf instead of sed to substitute @bindir@ in mkfontdir.in"
    
    This reverts commit 1f9d14bec07092d62da29a5a233cefbf84d47289.
    It caused https://gitlab.freedesktop.org/xorg/app/mkfontscale/issues/5

commit 8fbafcfe7e5ef4a2030e3963f31143bba2c8786f
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Mar 2 14:16:48 2019 -0800

    mkfontscale 1.2.0
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit bef1c614465f2c8546a7d946a75d8f10c5f3ca40
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Feb 19 11:45:29 2019 -0800

    Add mkfontdir to .gitignore
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 1f9d14bec07092d62da29a5a233cefbf84d47289
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Feb 18 18:27:31 2019 -0800

    Use autoconf instead of sed to substitute @bindir@ in mkfontdir.in
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d3b0f267bd25ab888efc0417f62d525afa32208a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Feb 18 18:23:50 2019 -0800

    Add mkfontdir to README.md
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 270540bb11914ea92436e251b14bc39d6b5df589
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Thu Oct 6 10:29:42 2011 -0700

    mkfontdir: Fix issues where mkfontscale and mkfontdir are installed in different locations or bindir contains a space
    
    https://bugs.freedesktop.org/show_bug.cgi?id=24465
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit cfbeaa0b99944ab887b4854baa63eadd4e5481f5
Author: Jon TURNEY <jon.turney@dronecode.org.uk>
Date:   Tue Mar 15 11:55:11 2011 +0000

    mkfontdir: Fix for non-srcdir builds
    
    Fix commit ad5fefcc7a0a0beb1c02270d9f28c8b28da61199 for non-srcdir builds
    
    Signed-off-by: Jon TURNEY <jon.turney@dronecode.org.uk>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 758df83c5825b77f338e44c1fcc4c5070d3c3516
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Mar 11 14:10:19 2011 -0800

    mkfontdir: Make Makefile.am compatible with Solaris make
    
    Solaris make won't substitute $< in explicit rules, only implicit ones
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8290027e067ffd0a3f37eeafbd27121e2884cea4
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sat Jan 22 09:27:09 2011 -0500

    mkfontdir: config: substitute bindir in mkfontdir using Autoconf @bindir@
    
    Use the Autoconf recommended way of substituting bindir, see
    http://www.gnu.org/software/autoconf/manual/autoconf.html
    
    Use # sign for comment in script.
    Only sed is used, drop the cpp terminology.
    
    Reviewed-by: Rémi Cardona <remi@gentoo.org>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 07d71396a502515a02bd12c5b01cdd98a7a30dab
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 19 10:06:55 2011 -0500

    mkfontdir: config: move man pages into their own directory
    
    Use services provided by XORG_MANPAGE_SECTIONS.
    Use standard Makefile for man pages.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 91cae6761d1a1eb9e5e2eba9eea8d7be6e3993d1
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Jan 13 11:15:47 2011 -0500

    mkfontdir: man: remove trailing spaces and tabs
    
    Using s/[ \t]*$//
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 7bb2d75a9f00546178f16fd536946fe1bdabdebb
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Nov 7 11:14:14 2010 -0800

    mkfontdir: Drop CVS version tag from mkfontdir.cpp too
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b1e80a29150c90c39915e5e758262815c2c4da05
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Nov 7 11:10:09 2010 -0800

    mkfontdir: config: Remove unnecessary calls from configure.ac
    
    AC_PROG_SED & AC_PROG_INSTALL are provided by XORG_DEFAULT_OPTIONS now
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit daee1aa67b7b11b2d4f9e38ddc39603e9206557a
Author: Jesse Adkins <jesserayadkins@gmail.com>
Date:   Tue Sep 28 13:29:49 2010 -0700

    mkfontdir: Purge cvs tags.
    
    Signed-off-by: Jesse Adkins <jesserayadkins@gmail.com>

commit 43d1aae1b0e1f9f759fe3439aa2079a88dab03af
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Sat Oct 10 22:47:09 2009 -0700

    mkfontdir: Migrate to xorg macros 1.3 & XORG_DEFAULT_OPTIONS
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 2dac61a84d474e533df29b5874ce6ca5e68d4ddd
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Jan 11 12:40:52 2008 -0800

    mkfontdir: Fix formatting of man page so ellipsis are shown with Solaris nroff

commit 8609ad731b9c9c670a815c915055ae416d2396d8
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Jan 11 12:39:00 2008 -0800

    mkfontdir: Fill in COPYING file with copyright/license notices

commit 18654870df3e8c65abc4443a0f510abd46c5fbaa
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Jan 7 14:16:07 2008 -0800

    mkfontdir: Add references to mkfontscale to man page
    
    Also convert (1) to (__appmansuffix__)

commit 1d15009075c3d316bd54c5861ac2859330ab2e64
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Sun Mar 5 19:52:51 2006 +0000

    mkfontdir: Let BSD make find mkfontdir.cpp when building in a separate obj dir

commit 1cb06c20467030fddf6a0a7be855f6849cadf7b4
Author: Adam Jackson <ajax@nwnk.net>
Date:   Tue Aug 2 01:58:09 2005 +0000

    mkfontdir: Find mkfontscale through @bindir@ rather than AC_PATH_PROG, since the one in the path could be from an old install that doesn't support all the needed flags.

commit a8341c3f17050b253a9f55aba76f1d8437165c26
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Thu Jul 14 20:59:48 2005 +0000

    mkfontdir: build fix for non-GNU make

commit fa554ab53809943cb141e07687c96364d91e3f9c
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Jul 2 21:42:05 2005 +0000

    mkfontdir: Add build system for bdftopcf, mkfontdir and mkfontscale

commit c40a94766668aad01ef57eea181752a370762cd0
Author: Egbert Eich <eich@suse.de>
Date:   Fri Apr 23 19:54:36 2004 +0000

    mkfontdir: Merging XORG-CURRENT into trunk

commit 1a302e07687403c0be7452d865d20e4cb0761770
Author: Egbert Eich <eich@suse.de>
Date:   Sun Mar 14 08:34:54 2004 +0000

    mkfontdir: Importing vendor version xf86-4_4_99_1 on Sun Mar 14 00:26:39 PST 2004

commit c01032201686db5622b4f997d5294d724800c694
Author: Egbert Eich <eich@suse.de>
Date:   Wed Mar 3 12:12:53 2004 +0000

    mkfontdir: Importing vendor version xf86-4_4_0 on Wed Mar 3 04:09:24 PST 2004

commit 3a6aebdfeb88dd8501d715117990af646f687555
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 13:36:15 2004 +0000

    mkfontdir: readding XFree86's cvs IDs

commit fa75fa1a5d7c1599692d4e309c39fca34b2a0f84
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 09:23:56 2004 +0000

    mkfontdir: Importing vendor version xf86-4_3_99_903 on Wed Feb 26 01:21:00 PST 2004

commit 9b6d7d062c91a86e110eea7ed38d44e104463fba
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Tue Nov 25 19:29:02 2003 +0000

    mkfontdir: Initial revision

commit 2247072a89b7b9da8ed22d0aaec100cef3adb62d
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 16:48:57 2003 +0000

    mkfontdir: XFree86 4.3.0.1

commit 1b920768b5122bac7368860fd6fc7e4f5275ed8f
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 15:54:53 2003 +0000

    mkfontdir: R6.6 is the Xorg base-line

commit 0a20abea3ec9742f0982e043e725cdadf0fc493e
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jan 6 14:26:00 2019 -0800

    Clear some -Wshorten-64-to-32 warnings from clang 6
    
    ident.c:84:13: warning: implicit conversion loses integer precision:
          'unsigned long' to 'int' [-Wshorten-64-to-32]
        int n = strlen(filename);
            ~   ^~~~~~~~~~~~~~~~
    ident.c:130:9: warning: implicit conversion loses integer precision:
          'off64_t' (aka 'long') to 'int' [-Wshorten-64-to-32]
            return gzseek(ff->f.gz, offset, whence);
            ~~~~~~ ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    ident.c:140:17: warning: implicit conversion loses integer precision:
          'long' to 'int' [-Wshorten-64-to-32]
                n = offset - ff->pos;
                  ~ ~~~~~~~^~~~~~~~~
    ident.c:143:10: warning: implicit conversion loses integer precision:
          'off_t' (aka 'long') to 'int' [-Wshorten-64-to-32]
                n = offset;
                  ~ ^~~~~~
    ident.c:156:12: warning: implicit conversion loses integer precision:
          'off_t' (aka 'long') to 'unsigned int' [-Wshorten-64-to-32]
            ff->pos = offset;
                    ~ ^~~~~~
    ident.c:157:9: warning: implicit conversion loses integer precision:
          'off_t' (aka 'long') to 'int' [-Wshorten-64-to-32]
            return offset;
            ~~~~~~ ^~~~~~
    mkfontscale.c:704:13: warning: implicit conversion loses integer precision:
          'unsigned long' to 'int' [-Wshorten-64-to-32]
        int n = strlen(dirname);
            ~   ^~~~~~~~~~~~~~~
    mkfontscale.c:748:13: warning: implicit conversion loses integer precision:
          'unsigned long' to 'int' [-Wshorten-64-to-32]
        int n = strlen(filename);
            ~   ^~~~~~~~~~~~~~~~
    mkfontscale.c:794:14: warning: implicit conversion loses integer precision:
          'unsigned long' to 'int' [-Wshorten-64-to-32]
            xl = strlen (exclusionSuffix);
               ~ ^~~~~~~~~~~~~~~~~~~~~~~~
    mkfontscale.c:796:9: warning: implicit conversion loses integer precision:
          'unsigned long' to 'int' [-Wshorten-64-to-32]
        i = strlen(dirname_given);
          ~ ^~~~~~~~~~~~~~~~~~~~~
    mkfontscale.c:858:15: warning: implicit conversion loses integer precision:
          'unsigned long' to 'int' [-Wshorten-64-to-32]
                int dl = strlen (entry->d_name);
                    ~~   ^~~~~~~~~~~~~~~~~~~~~~
    mkfontscale.c:930:21: warning: implicit conversion loses integer precision:
          'unsigned long' to 'int' [-Wshorten-64-to-32]
                int l = strlen(xlfd_name);
                    ~   ^~~~~~~~~~~~~~~~~
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit a311033403730db56bbbd0c56977e6c49a6b5519
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jan 6 13:33:42 2019 -0800

    Clear some -Wsign-compare warnings from gcc 7
    
    mkfontscale.c: In function ‘getName’:
    mkfontscale.c:336:22: warning: comparison between signed and unsigned
       integer expressions [-Wsign-compare]
             for(i = 0; i < name.string_len / 2; i++) {
                          ^
    mkfontscale.c: In function ‘nameWidth’:
    mkfontscale.c:427:18: warning: comparison between signed and unsigned
       integer expressions [-Wsign-compare]
         for(i = 0; i < NUMWIDTHS; i++)
                      ^
    mkfontscale.c: In function ‘notice_foundry’:
    mkfontscale.c:1261:18: warning: comparison between signed and unsigned
       integer expressions [-Wsign-compare]
         for(i = 0; i < countof(notice_foundries); i++)
                      ^
    mkfontscale.c: In function ‘vendor_foundry’:
    mkfontscale.c:1285:18: warning: comparison between signed and unsigned
       integer expressions [-Wsign-compare]
         for(i = 0; i < countof(vendor_foundries); i++)
                      ^
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d971bb62c6d2a35eccfdcd0c3c6c65c4f841f556
Author: Thomas Klausner <wiz@NetBSD.org>
Date:   Mon Jul 27 23:16:45 2015 +0200

    Add new ConstList functions and use them.
    
    Gets rid of lots of const warnings.
    
    Signed-off-by: Thomas Klausner <wiz@NetBSD.org>

commit bd8ff8a513d928878c877ea7b448baf7aee003a3
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Nov 21 16:49:31 2018 -0800

    Update configure.ac bug URL for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 17dec8c3c2805707767a2e416358db860b2b2427
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Nov 16 20:25:32 2018 -0800

    Update README for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit eac885fa5ebff24e0839144863872443a010d7c2
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Oct 1 21:24:45 2018 -0700

    Stop shadowing 'found' in checkExtraEncoding()
    
    mkfontscale.c: In function ‘checkExtraEncoding’:
    mkfontscale.c:1220:17: warning: declaration of ‘found’ shadows a parameter [-Wshadow]
                 int found = 0;
                     ^~~~~
    mkfontscale.c:1214:59: note: shadowed declaration is here
     checkExtraEncoding(FT_Face face, char *encoding_name, int found)
                                                               ^~~~~
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 325621bd083236567bd861d41ff161313fc96e96
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Oct 1 21:19:58 2018 -0700

    Rename variable 'n' to avoid shadowing another 'n' in doDirectory
    
    mkfontscale.c: In function ‘doDirectory’:
    mkfontscale.c:928:17: warning: declaration of ‘n’ shadows a previous local [-Wshadow]
                 int n = strlen(xlfd_name);
                     ^
    mkfontscale.c:788:12: note: shadowed declaration is here
         int i, n, dirn, diri, found, rc;
                ^
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 0faf882de6de6c1ec26aace9a9939914b40e7b89
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Oct 1 21:10:59 2018 -0700

    Use vasprintf(), if available, to implement dsprintf()
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 3b747cc5d2981c44ff517f64c355e76d70194f24
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Oct 1 20:52:18 2018 -0700

    Replace dsprintf("%s", s) with strdup(s)
    
    dsprintf is an allocating sprintf.  With a format string of "%s", it
    reduces to just being a more complicated version of strdup, so lets
    just use strdup instead to save time and reduce complexity.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 65fe4ef6f5674b0b52e797924990b090dbbd52af
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Oct 1 20:48:21 2018 -0700

    Remove last use of strcat
    
    If getcwd returned a string that exactly filled the prefix buffer,
    it could write the null terminator byte out of bounds.
    
    Instead, since the prefix is copied to a newly allocated string and
    never used again, just let the dsprintf() call take care of it.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 7b4203577af4b835ef069e0cd2bd9510b599789c
Author: Bernhard M. Wiedemann <bwiedemann@suse.de>
Date:   Mon Sep 10 10:17:52 2018 +0200

    Sort input file list
    
    so that openSUSE's installation-images builds in a reproducible way
    in spite of indeterministic filesystem readdir order
    
    See https://reproducible-builds.org/ for why this is good.
    
    Signed-off-by: Bernhard M. Wiedemann <bwiedemann@suse.de>

commit 4b1d7d3af1c1bc1586b2e9a780aea0dee7df5a14
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Mar 6 22:57:01 2018 -0800

    mkfontscale 1.1.3
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 27295c6c9b40b5cee0d1f45dfdc742a12613cb58
Author: Mihail Konev <k.mvc@ya.ru>
Date:   Thu Jan 26 14:00:20 2017 +1000

    autogen: add default patch prefix
    
    Signed-off-by: Mihail Konev <k.mvc@ya.ru>

commit 3258ad61892298d07236a857e1668171de5e8880
Author: Emil Velikov <emil.l.velikov@gmail.com>
Date:   Mon Mar 9 12:00:52 2015 +0000

    autogen.sh: use quoted string variables
    
    Place quotes around the $srcdir, $ORIGDIR and $0 variables to prevent
    fall-outs, when they contain space.
    
    Signed-off-by: Emil Velikov <emil.l.velikov@gmail.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit e8e4bdca31c006e2600ba25ef753fe77b20d6aca
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jan 24 10:32:07 2017 +1000

    autogen.sh: use exec instead of waiting for configure to finish
    
    Syncs the invocation of configure with the one from the server.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Emil Velikov <emil.velikov@collabora.com>

commit 07b761b0862bcea65b83052b9d960c4459af0466
Author: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
Date:   Sun Sep 18 16:25:22 2016 -0700

    mkfontscale: Avoid a buffer underrun
    
    https://bugs.freedesktop.org/show_bug.cgi?id=96905
    
    =================================================================
    ==3068==ERROR: AddressSanitizer: heap-buffer-overflow on address 0x60300000de6f at pc 0x000109df79d1 bp 0x7fff55e37d90 sp 0x7fff55e37550
    READ of size 1 at 0x60300000de6f thread T0
        #0 0x109df79d0 in wrap_strcmp (libclang_rt.asan_osx_dynamic.dylib+0xe9d0)
        #1 0x109dc8ef7 in fontFileOpen (mkfontscale+0x100001ef7)
        #2 0x109dc8e0b in bitmapIdentify (mkfontscale+0x100001e0b)
        #3 0x109dcc874 in doDirectory (mkfontscale+0x100005874)
        #4 0x109dcbc78 in main (mkfontscale+0x100004c78)
        #5 0x7fff9083f5ac in start (libdyld.dylib+0x35ac)
        #6 0x3  (<unknown module>)
    
    0x60300000de6f is located 1 bytes to the left of 20-byte region [0x60300000de70,0x60300000de84)
    allocated by thread T0 here:
        #0 0x109e34570 in wrap_malloc (libclang_rt.asan_osx_dynamic.dylib+0x4b570)
        #1 0x109dca92a in dsprintf (mkfontscale+0x10000392a)
        #2 0x109dcc788 in doDirectory (mkfontscale+0x100005788)
        #3 0x109dcbc78 in main (mkfontscale+0x100004c78)
        #4 0x7fff9083f5ac in start (libdyld.dylib+0x35ac)
        #5 0x3  (<unknown module>)
    
    Signed-off-by: Jeremy Huddleston Sequoia <jeremyhu@apple.com>

commit ecb248d8865df376a97a795c2e4f58a3bf64c3f1
Author: Stefan Dirsch <sndirsch@suse.de>
Date:   Thu Apr 21 16:52:15 2016 +0200

    fix handling of Type1 fonts without /FamilyName and/or /FullName
    
    https://bugzilla.opensuse.org/show_bug.cgi?id=918466
    
    Signed-off-by: Stefan Dirsch <sndirsch@suse.de>
    Reviewed-by: Adam Jackson <ajax@redhat.com>

commit 87d628f8eec170ec13bb9feefb1ce05aed07d1d6
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Jan 16 23:40:40 2015 -0800

    mkfontscale 1.1.2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 47908fd7a0d061fdcd21e3498da4e223ca9136d9
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Jun 20 23:23:54 2014 -0700

    Remove extraneous duplicate checks for -r & -n options
    
    Flagged by cppcheck 1.65:
    [mkfontscale.c:247]: (style) Expression is always false because
     'else if' condition matches previous condition at line 224.
    [mkfontscale.c:245]: (style) Expression is always false because
     'else if' condition matches previous condition at line 227.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Hans de Goede <hdegoede@redhat.com>

commit 48e541dc2f2fc3f4e99d3e168c28241ff5adff4d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Jun 2 19:39:49 2014 -0700

    autogen.sh: Honor NOCONFIGURE=1
    
    See http://people.gnome.org/~walters/docs/build-api.txt
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f14019d598c215e09cff88c739bbf7f4d6c6b89f
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Jun 2 19:39:49 2014 -0700

    configure: Drop AM_MAINTAINER_MODE
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 399db42a151687f1181ae23d28a76d31125a2853
Author: Thomas Klausner <wiz@NetBSD.org>
Date:   Tue Mar 18 23:14:47 2014 +0100

    Only include config.h if it exists.
    
    Reviewed-by: Gaetan Nadon <memsize@videotron.ca>
    Signed-off-by: Thomas Klausner <wiz@NetBSD.org>

commit eac564e0fc9052a39981ea47b271f7f3d2821944
Author: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
Date:   Thu Jan 2 00:43:14 2014 -0800

    Fix possible malloc allocation error found by clang static analysis
    
    list.c:238:23: warning: Call to 'malloc' has an allocation size of 0 bytes
        ListPtr *sorted = malloc(l * sizeof(ListPtr));
                          ^~~~~~~~~~~~~~~~~~~~~~~~~~~
    
    Signed-off-by: Jeremy Huddleston Sequoia <jeremyhu@apple.com>

commit 423ffbe9c5552dfeffa81bb6e2f2b62ab6b17580
Author: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
Date:   Thu Jan 2 00:39:25 2014 -0800

    Plug a memory leak found by clang static analysis
    
    mkfontscale.c:635:25: warning: Potential leak of memory pointed to by 'notice'
                    foundry = notice_foundry(notice);
                    ~~~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~
    mkfontscale.c:640:8: warning: Potential leak of memory pointed to by 'notice'
        if(strcmp(slant, "i") == 0) {
           ^~~~~~
    
    Signed-off-by: Jeremy Huddleston Sequoia <jeremyhu@apple.com>

commit 880a0c4733e62e54e6a0f1238c7430727d23657b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Nov 8 23:48:28 2013 -0800

    Print which option was in error along with usage message
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Gaetan Nadon <memsize@videotron.ca>

commit 26c89de6cdf0a5b7122a630a5df37fd67a4163e2
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Nov 8 23:28:16 2013 -0800

    Make usage() always exit(1)
    
    Avoid duplicating exit(1) calls after every single call to usage()
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Gaetan Nadon <memsize@videotron.ca>

commit 43ab9b11699acadbf09b8ed050a7a2f7e630dce4
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Nov 8 23:21:32 2013 -0800

    Add -v flag to print program version
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Gaetan Nadon <memsize@videotron.ca>

commit e5788db7f179bf89d2e5e3c97c69058027cb93bd
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Nov 8 22:56:02 2013 -0800

    Add missing newline to usage output
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Gaetan Nadon <memsize@videotron.ca>

commit f48de13423c7300f4da9f61993b624426b38ddc0
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Jul 16 22:50:54 2013 -0700

    mkfontscale 1.1.1
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f731c5c36f28ddd0f25f474d2991c96f9a7a915c
Author: Thomas Klausner <wiz@NetBSD.org>
Date:   Sun Jun 2 21:16:54 2013 +0200

    Protect config.h inclusion like usual.
    
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 19e2cb7c6a3ec2c5b1bc0d24866fa685eef0ee13
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue May 21 15:50:19 2013 +1000

    Document -u/-U options in man page
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b3af8de8d25128f565c2ed2f7c63b6e4099eb84e
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jan 19 12:05:06 2013 -0800

    Replace malloc(strlen);strcpy() calls with strdup
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 547517571e695728278a264eedbac47b6e1f43bc
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jan 19 11:51:39 2013 -0800

    Since hash() returns unsigned int, store results in unsigned ints
    
    Clears clang warnings:
    hash.c:82:13: warning: implicit conversion changes signedness: 'unsigned int' to 'int' [-Wsign-conversion]
        int i = hash(key);
            ~   ^~~~~~~~~
    hash.c:94:13: warning: implicit conversion changes signedness: 'unsigned int' to 'int' [-Wsign-conversion]
        int i = hash(key);
            ~   ^~~~~~~~~
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 1157b3039551b552b483f05f6a411e57941a87c0
Author: Egbert Eich <eich@freedesktop.org>
Date:   Fri Jan 11 12:04:16 2013 -0500

    Fix compilation for MinGW
    
    Fix compilation for MinGW since 9cbe3256bc932b82f2435b23cda0931f4f5f5ba2
    Unfortunately, MinGW doesn't define S_ISLNK, so check for that as well.
    
    Signed-off-by: Egbert Eich <eich@freedesktop.org>
    Reviewed-by: Colin Harrison <colin.harrison at virgin.net>

commit 9cbe3256bc932b82f2435b23cda0931f4f5f5ba2
Author: Egbert Eich <eich@freedesktop.org>
Date:   Thu May 19 10:38:44 2011 +0200

    Prefer original file over symlink (v2)
    
    If a symlink to a fontfile in the same directory exists the file
    that got picked depends on the order in which readdir() picked
    entries.
    This patch gives the file a higher preference than the symlink to
    it so it will be preferred if the xlfd entries match.
    
    v2: Followed a suggestion by Julien Cristau <jcristau@debian.org>
        to check for DT_LNK being defined instead of _BSD_SOURCE
        and fall back to lstat() if d_type is DT_UNKNOWN.
    
    Signed-off-by: Egbert Eich <eich@freedesktop.org>

commit 4c3f72f9e3385d9c855416b6498ced067a97c712
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Feb 10 20:19:37 2012 -0800

    mkfontscale 1.1.0
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit bf7d4fd83c896b70f68d59de756a3847417d9add
Author: Maxim Iorsh <iorsh@users.sourceforge.net>
Date:   Thu Oct 20 08:08:47 2011 +0200

    mkfontscale: fix Culmus entries to precede URW
    
    Culmus must precede URW and Bitstream in notice list, since its fonts are
    based on URW/Bitstream sometimes.
    
    Signed-off-by: Maxim Iorsh <iorsh@users.sourceforge.net>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit cd8182e74636ffd9b140603fc61502b42a9d6f2b
Author: Maxim Iorsh <iorsh@users.sourceforge.net>
Date:   Tue Oct 18 22:07:45 2011 -0700

    Add Culmus foundry to the vendor list for TrueType & Type1 fonts
    
    Maps fonts produced by the Culmus project <http://culmus.sourceforge.net>
    to the XLFD foundry name "culmus"
    
    For TrueType fonts, maps the vendor code "CLM" from the TrueType vendor
    id field.
    
    For Type1 fonts, which use heuristics to guess mappings to XLFD foundries
    from words in the copyright notice, add the names of the main contributors
    to the Culmus product to recognize the fonts under their copyright.
    
    Signed-off-by: Maxim Iorsh <iorsh@users.sourceforge.net>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit a39deac00add15532b15827c80601f87738cb405
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Oct 4 21:03:13 2011 -0700

    Strip trailing whitespace
    
    Performed with: find * -type f | xargs perl -i -p -e 's{[ \t]+$}{}'
    git diff -w & git diff -b show no diffs from this change
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b2d0f04a50f1444f9d62d11636a28c89951f0f40
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Oct 4 21:00:11 2011 -0700

    Add const attributes to fix gcc -Wwrite-strings warnings
    
    Does not fix all of them since some lists contain constant strings and
    some contain dynamically allocated strings that need to be freed later.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 0f4f6462597841e5f8470571d56cfda61144ee8f
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Sep 26 15:55:12 2011 -0700

    Mark format string argument to dsprintf as const char *
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8ee3b3f73a6c14c4326435fea7136c09fe2822d1
Author: Maxim Iorsh <iorsh@users.sourceforge.net>
Date:   Mon Oct 3 21:52:15 2011 +0200

    mkfontscale: Support FontForge weight designations.
    
    Fontforge uses 'ExtraLight' and 'Heavy' weights in Type 1 fonts, which
    should be understood by mkfontscale. Other FontForge designations are
    already addressed.
    
    Signed-off-by: Maxim Iorsh <iorsh@users.sourceforge.net>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit d429321888c335042332d991480095f67c85bb64
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Jun 29 20:25:37 2011 -0700

    mkfontscale 1.0.9
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 82af43b3e142ed8a85f1057bc67fc44baf95cc13
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon May 23 18:33:53 2011 -0700

    Add _X_ATTRIBUTE_PRINTF to functions taking printf format arguments
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 3da7640b35c9660944168217c145a1011547712b
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Sun May 8 09:36:02 2011 -0700

    Dead code removal
    
    have_face is initialized to 0 at the beginning of the loop, so no need to set
    it to 0 just before it goes out of scope at the end of the loop.
    
    mkfontscale.c:945:13: warning: Value stored to 'have_face' is never read
                have_face = 0;
                ^           ~
    
    Found-by: clang static analyzer
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit b8c26cb3d41b18dfcc14a1ae256f6575c7df7593
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Feb 24 23:24:17 2011 -0800

    makeList: free partially allocated list on failure
    
    Error: Memory leak (CWE 401)
       Memory leak of pointer 'first' allocated with malloc(8)
            at line 192 of list.c in function 'makeList'.
              'first' allocated at line 181 with malloc(8).
              first leaks when next == 0 at line 191.
    
    [ This bug was found by the Parfait 0.3.6 bug checking tool.
      For more information see http://labs.oracle.com/projects/parfait/ ]
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Julien Cristau <jcristau@debian.org>

commit 9d424d79ca56e7e372a286fca478996eeee8ebfe
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Feb 24 23:15:25 2011 -0800

    Leave room for null terminator in file & font name arrays
    
    fscanf %s arguments don't include the trailing \0 byte in their counts.
    
    Error: Buffer overrun
       Buffer overflow (CWE 120): Use of fscanf(%1024[), with buffer 'font'
          Array size is 1024 bytes
            at line 707 of mkfontscale.c in function 'readFontScale'.
       Buffer overflow (CWE 120): Use of fscanf(%1024s), with buffer 'file'
          Array size is 1024 bytes
            at line 707 of mkfontscale.c in function 'readFontScale'.
    
    [ This bug was found by the Parfait 0.3.6 bug checking tool.
      For more information see http://labs.oracle.com/projects/parfait/ ]
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Julien Cristau <jcristau@debian.org>

commit 45b33b463c8acc2c0ff37e209387d6b664576cc4
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Feb 14 23:22:56 2011 -0800

    Sort contents of encodings.dir
    
    Allows easier comparison between builds to detect changes.
    Helps reduce deltas in packaging systems that compare old & new versions.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 623a620bde1988e105b2fe814a3158da0e7b863c
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 19 10:06:55 2011 -0500

    config: move man pages into their own directory
    
    Use services provided by XORG_MANPAGE_SECTIONS.
    Use standard Makefile for man pages.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 2e2073e358a6d9069dd5b5f3757de769cbc92721
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jan 9 13:44:31 2011 -0800

    Remove unused NEED_SNPRINTF code to #include non-existent snprintf.c
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 2ad869a51804e5232f10c1c933e2822c205c3265
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jan 9 13:39:00 2011 -0800

    Make fscanf format string constant so it can be checked at compile time
    
    Clears gcc warning of:
    mkfontscale.c:714: warning: format not a string literal, argument types not checked
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ed14fe953f8f6fee90fcf28cd6775037b5f6e228
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jan 9 13:24:10 2011 -0800

    config: Add missing AC_CONFIG_SRCDIR
    
    Regroup AC statements under the Autoconf initialization section.
    Regroup AM statements under the Automake initialization section.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f27bcd4d366b2c12e658ff018542c4273b36631a
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Jan 13 11:15:47 2011 -0500

    man: remove trailing spaces and tabs
    
    Using s/[ \t]*$//
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit fedc022d29297f524d39a2637c1529782edcdceb
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 12 16:28:02 2011 -0500

    config: replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS
    
    This silences an Autoconf warning

commit 7a1e1e64c171ae95339bbd327806f892816850d7
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Oct 29 23:03:40 2010 -0700

    mkfontscale 1.0.8
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 6a013e3524c0bdee54a33b0e9a255f3a7580603f
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Oct 29 23:01:47 2010 -0700

